cancel
Showing results for 
Search instead for 
Did you mean: 

Upgrade von 1.9 -> 2.0

Upgrade von 1.9 -> 2.0

Hallo zusammen,

 

ist es eigentlich möglich, eine 1.9er Version auf 2.0 zu aktualisieren oder sind beide miteinander nicht kompatibel? Ich habe zwar gesehen, dass die neue Version offiziell erschienen ist. Aber zum Upgrade habe ich leider keine Infos finden können.

 

Viele Grüße

 

Björn

3 REPLIES

Re: Upgrade von 1.9 -> 2.0

Hallo,

Magento bietet ein Migrationstool an um den wechsel vollziehen zu können.

Leider kann ich dazu noch keine wirkliche Ausssage machen. Werde das wohl am wochenende mal ausprobieren:

 

Hier gehts zur Anleitung:

http://devdocs.magento.com/guides/v2.0/migration/bk-migration-guide.html

 

Mit freundlichen Grüßen, Sebastian Keutmeier

Re: Upgrade von 1.9 -> 2.0

Ich erhalte bei der Datenmigration während des Integrity Checks folgende Fehlermeldungen:

2016-11-11 13:16:45][ERROR]: Source documents are not mapped: core_file_storage
[2016-11-11 13:16:45][ERROR]: Source fields are not mapped. Document: sales_flat_creditmemo. Fields: cod_fee,base_cod_fee,cod_tax_amount,base_cod_tax_amount
[2016-11-11 13:16:45][ERROR]: Source fields are not mapped. Document: sales_flat_invoice. Fields: cod_fee,base_cod_fee,cod_tax_amount,base_cod_tax_amount
[2016-11-11 13:16:45][ERROR]: Source fields are not mapped. Document: sales_flat_order. Fields: cod_fee,base_cod_fee,cod_fee_invoiced,base_cod_fee_invoiced,cod_tax_amount,base_cod_tax_amount,cod_tax_amount_invoiced,base_cod_tax_amount_invoiced,cod_fee_refunded,base_cod_fee_refunded,cod_tax_amount_refunded,base_cod_tax_amount_refunded,cod_fee_canceled,base_cod_fee_canceled,cod_tax_amount_canceled,base_cod_tax_amount_canceled
[2016-11-11 13:16:45][ERROR]: Source fields are not mapped. Document: sales_flat_quote. Fields: cod_fee,base_cod_fee,cod_tax_amount,base_cod_tax_amount
[2016-11-11 13:16:45][ERROR]: Source fields are not mapped. Document: sales_flat_quote_address. Fields: cod_fee,base_cod_fee,cod_tax_amount,base_cod_tax_amount

 

Ich nehme an, ich muss die in irgend eine xml-Datei unter <ignore> eintragen, damit die Meldungen nicht kommen. (Noch besser wäre natürlich, diese Tabellen und Felder würden ordentlich gemappt). Weiß jemand, welche xml-Dateien des Data Migration Tools dafür zuständig sind? Oder ist egal, wo man die einträgt?

Danke,

Bernhard

Re: Upgrade von 1.9 -> 2.0

Ich glaube, ich hab die richtige Datei gefunden:

/var/www/html/magento/vendor/magento/data-migration-tool/etc/ce-to-ce/1.9.0.1/map.xml

 

Die angezeigten Tabellen (s. o.) mit <ignore><document></document></ignore> auszuschließen hilft gegen obige Fehlermeldung. Ob ich sie völlig ignorieren kann, weiß ich nicht. Vielleicht weiß jemand, wie wichtig die sind und wie man die Inhalte händisch migriert?  

LG Bernhard